<table border="0" cellpadding="0" cellspacing="0" id="tables">
  <tbody>
</tbody><thead>
<tr>
  <td align="left" style="padding-left:10px;"><img src="/img/vn.png" align="left" style="margin-top: -1px;margin-right: 10px;" width="20px">Хотите продавать свои товары у нас? Тогда пройдите несложную регистрацию!</td>
  <td align="center"><a href="/reg" target="_blank" class="button -green -cash" style="padding: 5px 15px 5px;">Регистрация</a></td>
</tr>
</thead>
</table>
<?
$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '1' and moder='1'")->fetch();
$num1 = $sql['count(id)'];

$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '2' and moder='1'")->fetch();
$num2 = $sql['count(id)'];

$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '3' and moder='1'")->fetch();
$num3 = $sql['count(id)'];

$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '4' and moder='1'")->fetch();
$num4 = $sql['count(id)'];

$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '5' and moder='1'")->fetch();
$num5 = $sql['count(id)'];

$sql = $pdo->Query("SELECT count(id) FROM `php_tovar` WHERE `category` = '6' and moder='1'")->fetch();
$num6 = $sql['count(id)'];
?>

 
 <?

 if(isset($_GET['n'])){
$nom=intval($_GET['n']);
$nomsql=" and category='$nom'";
}
            if ( !isset( $_SESSION['id'] ) ) {
			

            ?>
    
			
			<?
            } else {
            ?>
           
            
			
			<?}
            
            ?>
 


<?
  if(isset($_POST['search'])){
 $search=clean($_POST['search']);
$search="and title LIKE '%$search%'";
$num = 100;
  }else{
$num = 9;}
$page = $_GET['page'];

$result00 = $pdo->Query("SELECT * FROM `php_tovar` WHERE `moder` = '1' $search $nomsql");
$temp = $result00->RowCount();
$posts = $temp;
$total = (($posts - 1) / $num) + 1;
$total =  intval($total);
$page = intval($page);
if(empty($page) or $page < 0) $page = 1;
if($page > $total) $page = $total;
$start = $page * $num - $num;
if($start<0){ $start=0;}

$sql = $pdo->Query("SELECT * FROM `php_tovar` WHERE `moder` = '1' $search $nomsql ORDER BY `data_up` DESC LIMIT $start, $num");
if($sql->RowCount()!=0){
while($depos = $sql->Fetch()) {

$config_pr = $pdo->Query("SELECT * from php_user WHERE id = '" . $depos['user'] . "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

$id = intval($depos['id']);
$title = $depos['title'];
$cratkaya = $depos['cratkaya'];
$cena = intval($depos['cena']);
$config_tov = $pdo->Query("SELECT * from php_img WHERE tovar = '" . $id . "'")->fetch(PDO::FETCH_BOTH);
$config_upl = $pdo->Query("SELECT * from php_upload WHERE tovar = '" . $id. "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

?>


<div class="block_news_ed">
<div class="date_news_ed">Цена:</b> <?=$cena?> Рублей</div>
<div class="images_news_ed">
<img src="http://akclub.ru/thumb.php?id=<?=$id?>&s=300&f=<?=$config_tov['dir']?>" alt="Купить онлайн <?=$title?>"></div>
<h2 class="title_news_ed"><?=$title?></h2>
<div class="shortits_news_ed"><?=$cratkaya?></div>
<a href="<?=ROOT?>/post<?=$id?>"><div class="alred_go">Купить</div></a>
</div>

<?}
}else{  echo "<br><br><br><center>В данной категории товаров нет!  <a href='/home'>Перейти в полный список товаров</a></center>";}
?>
<div class="cl"></div>

<div class="padd10"></div>
<?

// Проверяем нужны ли стрелки назад
if ($page != 1) $pervpage = '<a href=index.php?a='.$_GET[a].'&page=1> Первая </a>  ';
// Проверяем нужны ли стрелки вперед
if ($page != $total) $nextpage = '  <a href=index.php?a='.$_GET[a].'&page=' .$total. '> Последняя </a>';
if(!isset($_GET['n'])){
// Находим две ближайшие станицы с обоих краев, если они есть
if($page - 5 > 0) $page5left = ' <a href=home'. ($page - 5) .'>'. ($page - 5) .'</a>';
if($page - 4 > 0) $page4left = ' <a href=home'. ($page - 4) .'>'. ($page - 4) .'</a>';
if($page - 3 > 0) $page3left = ' <a href=home'. ($page - 3) .'>'. ($page - 3) .'</a>';
if($page - 2 > 0) $page2left = ' <a href=home'. ($page - 2) .'>'. ($page - 2) .'</a>';
if($page - 1 > 0) $page1left = ' <a href=home'. ($page - 1) .'>'. ($page - 1) .'</a>';

if($page + 5 <= $total) $page5right = '<a href=home'. ($page + 5) .'>'. ($page + 5) .'</a>';
if($page + 4 <= $total) $page4right = '<a href=home'. ($page + 4) .'>'. ($page + 4) .'</a>';
if($page + 3 <= $total) $page3right = '<a href=home'. ($page + 3) .'>'. ($page + 3) .'</a>';
if($page + 2 <= $total) $page2right = '<a href=home'. ($page + 2) .'>'. ($page + 2) .'</a>';
if($page + 1 <= $total) $page1right = '<a href=home'. ($page + 1) .'>'. ($page + 1) .'</a>';
}else{
// Находим две ближайшие станицы с обоих краев, если они есть
if($page - 5 > 0) $page5left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 5) .'/'.$nom.'>'. ($page - 5) .'</a>';
if($page - 4 > 0) $page4left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 4) .'/'.$nom.'>'. ($page - 4) .'</a>';
if($page - 3 > 0) $page3left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 3) .'/'.$nom.'>'. ($page - 3) .'</a>';
if($page - 2 > 0) $page2left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 2) .'/'.$nom.'>'. ($page - 2) .'</a>';
if($page - 1 > 0) $page1left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 1) .'/'.$nom.'>'. ($page - 1) .'</a>';

if($page + 5 <= $total) $page5right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 5) .'/'.$nom.'>'. ($page + 5) .'</a>';
if($page + 4 <= $total) $page4right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 4) .'/'.$nom.'>'. ($page + 4) .'</a>';
if($page + 3 <= $total) $page3right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 3) .'/'.$nom.'>'. ($page + 3) .'</a>';
if($page + 2 <= $total) $page2right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 2) .'/'.$nom.'>'. ($page + 2) .'</a>';
if($page + 1 <= $total) $page1right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 1) .'/'.$nom.'>'. ($page + 1) .'</a>';



}
// Вывод меню если страниц больше одной

if ($total > 1)
{
Error_Reporting(E_ALL & ~E_NOTICE);
echo "<center><div class=\"navigation\">";
echo $pervpage.$page5left.$page4left.$page3left.$page2left.$page1left.'<span class="navpage"><span class="curent_page"><b>'.$page.'</b></span></span>'.$page1right.$page2right.$page3right.$page4right.$page5right.$nextpage;
echo "</div></center>";
}
?>

